[Back to README](README.md)
# Summary data checkers
## Things we can check
**Metadata**:
* Filename 
* Variable name
* Units
* Global

**Physical validity**:
* Value range
* Spread

**Data completion**:
* Expected number of timesteps
* Time coverage
* Number of members

**File integrity**
* File corruption

___
## Data checkers!
### 1. C3S
Outputs checked:<br>
* Model<br>
Link:
https://git.ecmwf.int/projects/CDS/repos/checker/browse

Metadata
### 2. prePare
Outputs checked:<br>
* Model<br>

Physical Checks<br><br>
Metadata<br>
Link:
https://cmor.llnl.gov/mydoc_cmip6_validator/

### 3. CF checker
Outputs checked:<br>
* Models<br>
* Reconstruction<br>
* Observations<br>

Metadata <br>
Link:
* https://pypi.org/project/cfchecker/<br>
* http://puma.nerc.ac.uk/cgi-bin/cf-checker.pl<br>


### 4. ESMValTool 
Outputs checked:<br>
* Models<br>
* Observations<br>

Metadata<br>
Link:
https://www.esmvaltool.org/

### 5. UKCP18 Compilance Checker Plugin
Outputs checked:<br>
* Models<br>

Metadata<br>
Link: https://github.com/ukcp-data/cc-plugin-ukcp18

### 6. MetOffice Data Checker
Outputs checked:<br>
* Models<br>

Physical Checks - Unknown<br><br>
Metadata - Unknown

### 7. NCTIME
[NCTIME URL](https://github.com/Prodiguer/nctime)<br>
The nctxck code analyzes the time coordinate only (not other coordinates). It also checks the time boundaries if exists and some time attributes as the calendar and the base time units. Basically, the code rebuilt a theoretical time axis depending on inputs:

* the time frequency from the global attributes of each netCDF file.
* the base time units from the time attributes of the FIRST file scanned. Can be enforced using --units flag.
* the time calendar from the time attributes of the FIRST file scanned. Can be enforced using --calendar flag
* the first time stamp from each filename. Can be enforced using --start flag

Then, the theoretical time axis is compared to the infile time axis. If differences exist between theoretical and infile axes, they are categorized with different error codes.

[Back to README](README.md)
