#!/usr/bin/env python
#
# Data Quality Checker also known as DQC
#
# Read the README.md for more detailed information
#
#       Barcelona Supercomputing Center - Centro Nacional de Supercomputacion
#       Earth Sciences Department - Computational Earth Sciences
#     
#     Authors: 
#       Joan Sala Calero (joan.sala@bsc.es)

import os
import json
import glob

from utils.utils_forms import *

json_file = './grib/datasets.json' 
forms_dir = '/data/cds-forms-c3s'

# Filter out products from cds-forms
datasets=[]
[datasets.append(d) for d in glob.glob(os.path.join(forms_dir, 'seasonal-*'))]
[datasets.append(d) for d in glob.glob(os.path.join(forms_dir, 'reanalysis-*'))]
[datasets.append(d) for d in glob.glob(os.path.join(forms_dir, 'projections-*'))]

data = dict()
for dataset in datasets:	
	try:
		key_d = os.path.basename(dataset)
		v,p = get_dataset_information(dataset, forms_dir)
		obj = {
			'variables': v,
			'product_types': p
		}
		data[key_d] = obj
	except:
		pass

# Save to JSON
with open(json_file, 'w') as fo:
	json.dump(data, fo, indent=2)
